Bug 191110 - Review Request: perl-Devel-Cover - Code coverage metrics for Perl
Review Request: perl-Devel-Cover - Code coverage metrics for Perl
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-05-08 18:39 EDT by Jose Pedro Oliveira
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-12 14:06:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jose Pedro Oliveira 2006-05-08 18:39:58 EDT
Spec URL:


This module provides code coverage metrics for Perl.

Targets: distros >= FC-5
Comment 1 Jason Tibbitts 2006-05-12 00:16:36 EDT
rpmlint complains:

W: perl-Devel-Cover doc-file-dependency
/usr/share/doc/perl-Devel-Cover-0.55/buildperl perl(lib)

The buildperl script probably shouldn't be executable.

Makefile.PL warns:
Devel::Cover 0.55 has not been tested with perl 5.008008.
but the test suite seems fine.

* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
follows the Perl specfile template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   6bb9ddcd7a9e4d87c02b8bbea7ad3c4a  Devel-Cover-0.55.tar.gz
   6bb9ddcd7a9e4d87c02b8bbea7ad3c4a  Devel-Cover-0.55.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
X rpmlint is silent.
* final provides and requires are sane.
O shared libraries are present, but they are internal to Perl so ldconfig
doesn't need to be called.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=38, Tests=38, 72 wallclock secs (69.46 cusr +  2.87 csys = 72.33 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Jose Pedro Oliveira 2006-05-12 06:49:38 EDT
(In reply to comment #1)
> rpmlint complains:
> W: perl-Devel-Cover doc-file-dependency
> /usr/share/doc/perl-Devel-Cover-0.55/buildperl perl(lib)
> The buildperl script probably shouldn't be executable.

Oops! Corrected in:
(specfile link: the previous one)
Comment 3 Jason Tibbitts 2006-05-12 12:02:05 EDT
The new package builds fine and the permissions problem is fixed.

Comment 4 Jose Pedro Oliveira 2006-05-12 14:06:36 EDT
Thanks for the review.

Imported and built for FC-5 and devel.

Note You need to log in before you can comment on or make changes to this bug.